Subject: [Megaco] switch resource, bearer resource; RE: reply:C-288: H.248.32 extension proposal

From: "Schwarz Albrecht" <[email-masked]>
Date: Thu, 28 Jun 2007 18:15:42 +0200

Like to provide my comments from the meeting in written form:

1.	
	Concerning "switch resource":
	Issue: the semantic of switch resource is MG implementation specific, i.e. there might be a "infinite" number of semantics due to the possibilities to realize a switching point (native switching technologies (like a circuit-, ATM cell -, AAL2 CPS-Packet-, HDLC frame-, Ethernet frame- or whatever switch) versus emulation techniques; single vs multiple switching technologies; centralized vs distributed switching points; non-blocking vs blocking engineered switching points; etc)
	=> the semantic must be unambiguous for a single MGC-MG pair (-> Control Association)
	=> concrete semantic may be subject of a profile specification
	=> to be clarified: MGC connected to different MG implementations, but with the need of a single profile for all MGs?
2.	
	Concerning "bearer resource":
	Issues:
	- 1:1 relation between Bearer and H.248 Termination? or sth in between Root and individual terminations
	- Relation nt/qualert (which is termination level)
	- semantic: "generic bearer" versus "technology specific bearers" (like AAL2, ATM, RTP, IP, TDM, etc)

A package definition should provide some information about that aspects.
Further:
If H.248.32 scope MG-internal resource components only, then it might be perhaps better to start a separate package on MG-external resources.
 
-Albrecht

________________________________

From: [email-masked] [mailto:[email-masked]] 
Sent: Samstag, 23. Juni 2007 07:43
To: Schwarz Albrecht
Cc: [email-masked]; [email-masked]; [email-masked]
Subject: 答复: reply:C-288: H.248.32 extension proposal

	马海波113845 
马海波/3G平台系统部/中心研究院/研发体系/中兴通讯 

2007-06-23 12:31 

        收件人：        [email-masked] 
        抄送：         
        主题：        reply:C-288: H.248.32 extension proposal

I failed to send this mail to outside network. Please help ... 

thanks 
Ma Haibo 

----- 转发人 马海波113845/user/zte_ltd 时间 2007-06-23 12:13 ----- 
	马海波113845 
马海波/3G平台系统部/中心研究院/研发体系/中兴通讯 

2007-06-23 12:03 

       收件人：        "Schwarz Albrecht" <[email-masked]> 
       抄送：        [email-masked], [email-masked] 
       主题：        reply:C-288: H.248.32 extension proposal链接 <Notes:///48256BBF00048A94/DABA975B9FB113EB852564B5001283EA/9F0C5921D5988C8D482573020042D520> 

Hi, 
thanks for your attention. 
Firstly, I think that dcr is the only package that could describe the congestion level of the whole MG and should be applied on ROOT termination, but the nt package usually is applied on a specific termination. 
Secondly, "bearer" may be a kind of resource that sources from MG or sinks to MG. It exists between MG and other equipments. When the "bearer" is broken and MGC need to re-route calls, the MG should report dcr/bear with dcr/bda to MGC. 
So, 
Q1: Yes..., "bearer" may be understood as external resource.
Q2: No, the nt package emphasizes the quality of connection for a specific call, and it do not include the information of the bearer destination and it can not respresent the whole MG. For example, AAL2 PVCs may be configured as static property previously in MG, and if parts of them are broken, they wouldn't affect the quality of calls on the left bearers that are not broken. So the nt/qualert is difficult to provide the threshold-based occupance level of the MG because it only can be applied on the specific termination and the call using this termination may be very well. Furthermore, nt/qualert can not tell the MGC how many AAL2 PVCs has been broken.

I'm sorry for my poor English and I hope you can understand what I said. 

thanks 
Ma Haibo 

	"Schwarz Albrecht" <[email-masked]> 

2007-06-22 20:36 

       收件人：        <[email-masked]>, <[email-masked]> 
       抄送：        <[email-masked]> 
       主题：        C-288: H.248.32 extension proposal

Hi, 
like to understand the difference between an (IP, ATM) TERMINATION resource and an (IP, ATM) BEARER resource from H.248.32 point of view. 
Q1: This package did so far consider only MG-INTERNAL resource components, - is "bearer" defined as an external resource? 
 
Q2: You propose to report a threshold-based occupance level of a "bearer" via dcr/conrep. Did you consider also nt/qualert, which provides also threshold-based occupance level reporting mechanism in my understanding? 

Thanks 
Albrecht 

_______________________________________________
Megaco mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/megaco